%define oname   highline

Name:       ruby-%{oname}
Version:    2.0.3
Release:    %mkrel 1
Summary:    HighLine is a high-level command-line IO library
License:    Ruby
Group:      Development/Ruby
URL:        http://highline.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch


%description
A high-level IO library that provides validation, type conversion, and more
for command-line interfaces. HighLine also includes a complete menu system that
can crank out anything from simple list selection to complete shells with just
minutes of work.


%files
%{gem_instdir}
%exclude %{gem_instdir}/{examples,test}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc

%doc %{gem_docdir}
%doc README.* TODO Changelog.md LICENSE
%doc %{gem_instdir}/examples

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Mar 28 2020 pterjan <pterjan> 2.0.3-1.mga8
+ Revision: 1561693
- Update to 2.0.3

* Fri Feb 14 2020 umeabot <umeabot> 2.0.1-2.mga8
+ Revision: 1522457
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 2.0.1-1.mga7
+ Revision: 1360766
- Update to 2.0.1

* Fri Sep 21 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1290972
- Mageia 7 Mass Rebuild

* Sat Sep 01 2018 pterjan <pterjan> 2.0.0-1.mga7
+ Revision: 1256010
- Update to 2.0.0

* Sun Apr 01 2018 pterjan <pterjan> 1.7.10-1.mga7
+ Revision: 1214243
- Update to 1.7.10

* Sun Jan 03 2016 pterjan <pterjan> 1.7.8-1.mga6
+ Revision: 919179
- Update to 1.7.8

* Sun Dec 20 2015 pterjan <pterjan> 1.7.7-1.mga6
+ Revision: 912587
- Update to 1.7.7

* Wed Oct 15 2014 umeabot <umeabot> 1.6.19-6.mga5
+ Revision: 742892
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.19-5.mga5
+ Revision: 688826
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.6.19-4.mga4
+ Revision: 561958
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.6.19-3.mga4
+ Revision: 561288
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.6.19-2.mga4
+ Revision: 540790
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 pterjan <pterjan> 1.6.19-1.mga4
+ Revision: 494329
- imported package ruby-highline

